Loading...
Searching...
No Matches
ranges::views::take_while_fn Struct Reference
Inheritance diagram for ranges::views::take_while_fn:

## Related Symbols

(Note that these are not member symbols.)
constexpr take_while_fn | take_while {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::take_while_base_fn
template<typename Rng , typename Pred > requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred &, iterator_t<Rng>>
constexpr take_while_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const
template<typename Rng , typename Pred , typename Proj > requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<composed<Pred, Proj> &, iterator_t<Rng>>
constexpr take_while_view< all_t< Rng >, composed< Pred, Proj > > | operator() (Rng &&rng, Pred pred, Proj proj) const
Public Member Functions inherited from ranges::views::take_while_bind_fn
template<typename Pred , typename Proj > requires (!range<Pred>)
constexpr auto | operator() (Pred &&pred, Proj proj) const
template<typename Pred >
constexpr auto | operator() (Pred pred) const